# Interface methods for submodule: ConstantBoundaryCondition
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageBoundaryConditionProxy as _ImageBoundaryConditionProxy


# Interface methods for class: ConstantBoundaryCondition
class ConstantBoundaryConditionProxy(_ImageBoundaryConditionProxy):
	def GetNameOfClass(self):
		""""""
		...

	def Print(self, os, i = 0) -> None:
		""""""
		...

	@overload
	def __call__(self, arg0: Sequence[int], arg1: Sequence[int], arg2):
		""""""
		...

	@overload
	def __call__(self, arg0: Sequence[int], arg1: Sequence[int], arg2, arg3):
		""""""
		...

	@overload
	def __call__(self, arg0: Sequence[int], arg1: Sequence[int], arg2) -> Sequence[float]:
		""""""
		...

	@overload
	def __call__(self, arg0: Sequence[int], arg1: Sequence[int], arg2, arg3) -> Sequence[float]:
		""""""
		...

	@overload
	def __call__(self, arg0: Sequence[int], arg1: Sequence[int], arg2) -> float:
		""""""
		...

	@overload
	def __call__(self, arg0: Sequence[int], arg1: Sequence[int], arg2, arg3) -> float:
		""""""
		...

	@overload
	def __call__(self, arg0: Sequence[int], arg1: Sequence[int], arg2) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def __call__(self, arg0: Sequence[int], arg1: Sequence[int], arg2, arg3) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def __call__(self, arg0: Sequence[int], arg1: Sequence[int], arg2) -> Tuple[int, int, int]:
		""""""
		...

	@overload
	def __call__(self, arg0: Sequence[int], arg1: Sequence[int], arg2, arg3) -> Tuple[int, int, int]:
		""""""
		...

	@overload
	def __call__(self, arg0: Sequence[int], arg1: Sequence[int], arg2) -> int:
		""""""
		...

	@overload
	def __call__(self, arg0: Sequence[int], arg1: Sequence[int], arg2, arg3) -> int:
		""""""
		...

	@overload
	def SetConstant(self, c) -> None:
		""""""
		...

	@overload
	def SetConstant(self, c: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetConstant(self, c: float) -> None:
		""""""
		...

	@overload
	def SetConstant(self, c: Tuple[int, int, int, int]) -> None:
		""""""
		...

	@overload
	def SetConstant(self, c: Tuple[int, int, int]) -> None:
		""""""
		...

	@overload
	def SetConstant(self, c: int) -> None:
		""""""
		...

	@overload
	def GetConstant(self):
		""""""
		...

	@overload
	def GetConstant(self) -> Sequence[float]:
		""""""
		...

	@overload
	def GetConstant(self) -> float:
		""""""
		...

	@overload
	def GetConstant(self) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def GetConstant(self) -> Tuple[int, int, int]:
		""""""
		...

	@overload
	def GetConstant(self) -> int:
		""""""
		...

	def RequiresCompleteNeighborhood(self) -> bool:
		""""""
		...

	def GetInputRequestedRegion(self, inputLargestPossibleRegion: ImageRegion, outputRequestedRegion: ImageRegion) -> ImageRegion:
		""""""
		...

	@overload
	def GetPixel(self, index: Sequence[int], image):
		""""""
		...

	@overload
	def GetPixel(self, index: Sequence[int], image) -> Sequence[float]:
		""""""
		...

	@overload
	def GetPixel(self, index: Sequence[int], image) -> float:
		""""""
		...

	@overload
	def GetPixel(self, index: Sequence[int], image) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def GetPixel(self, index: Sequence[int], image) -> Tuple[int, int, int]:
		""""""
		...

	@overload
	def GetPixel(self, index: Sequence[int], image) -> int:
		""""""
		...

